Subject: bug#13112: 24.2.90; The cygw32 build should disable X11

From: Ken Brown <[email-masked]>
Date: Sat, 08 Dec 2012 07:42:54 -0500

On 12/8/2012 7:23 AM, Ken Brown wrote:
> On 12/8/2012 6:29 AM, Achim Gratz wrote:
>> Ken Brown writes:
>>> So let's start from scratch.  Can you give a detailed, step-by-step
>>> procedure for reproducing the problem?  I'd like to see if I can
>>> reproduce it.
>>
>> I'm not near any system running Windows, so I can't test it myself, but
>> I hope the following will do:
>>
>> 1. Nix all configuration files, then start emacs-X11 and set the default
>> font to "DejaVu Sans Mono" and "Save Options".  Check that it got
>> saved in
>> the "(custom-set-faces" section in the appropriate init file.
>
> I've done that, and I now have a ~/.emacs with the following contents:
>
> (custom-set-variables
>   ;; custom-set-variables was added by Custom.
>   ;; If you edit it by hand, you could mess it up, so be careful.
>   ;; Your init file should contain only one such instance.
>   ;; If there is more than one, they won't work right.
>   )
> (custom-set-faces
>   ;; custom-set-faces was added by Custom.
>   ;; If you edit it by hand, you could mess it up, so be careful.
>   ;; Your init file should contain only one such instance.
>   ;; If there is more than one, they won't work right.
>   '(default ((t (:family "DejaVu Sans Mono" :foundry "unknown" :slant
> normal :weight normal :height 113 :width normal)))))
>
> And I've moved ~/.Xdefaults and /usr/share/emacs/site-lisp out of the
> way.  ps shows no processes except mintty and bash.
>
>> 2. Do not start X11 or dbus.  From a freshly started mintty, start
>> emacs-w32 so that it reads the configuration file with the default font.
>> It should start with whatever font is the first one in your Windows font
>> list instead of the default monospace font it would use when started
>> with "-Q".  Now try to select File->Open from the menu bar.
>
> $ emacs-w32 &
>
> emacs-w32 opens in a new window.  Options -> Set Default Font shows that
> emacs is using DejaVu Sans Mono-11.  File -> Open works fine.
>
> I wonder why emacs-w32 finds DejaVu Sans Mono on my system but not on
> yours?  I guess that's not really relevant to this bug, but it does mean
> that I can't currently reproduce the problem and so I can't debug it. If
> you can consistently reproduce it, I think you might have to do it under
> gdb (or attach gdb when emacs hangs) and see if you can figure out
> what's going on.
>
> I did reproduce the hang two nights ago (with different steps), but I
> was tired and making mistakes, and I don't remember exactly what I did.
>
> I know from previous discussions that you use tcsh as your shell.  Could
> there be something in your tcsh configuration files that's interfering?
>   Or is there anything in your environment that could explain this?
> Maybe you should try this from a bash shell and a clean environment.  If
> you want to send me your cygcheck output off list, I can see if I spot
> any obvious differences between your system and mine.

I just repeated the experiment, but this time with Droid instead of 
DejaVu.  This time emacs-w32 didn't find the font and chose Arial.  But 
File->Open still worked.

Ken